#include <bits/stdc++.h>
using namespace std;
    string a, b;
    long long n, m, p;
int main (){
ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0);
    long long i, j;
    cin >> a;
    n=a.length();
    cin >> m;
    for (i=0; i<m; i++){
        cin >> b;
        p=a.find(b);
        while (p!=string::npos){
            a.erase(p, b.size());
            p=a.find(b);
        }
    }
        cout << a << endl;

return 0;
}
